Enregistrer MEP en PDF VB.NET

vos questions concernant les API SolidWorks

Enregistrer MEP en PDF VB.NET

Messagepar Gautier60 » Ven 06 Déc 2013, 10:44

Bonjour tout le monde,

Je suis entrain de créer une macro pour enregistrer toutes mes mises en plan en format PDF.
Mon premier problème :
Malgré l'importation des références solidworks j'ai un message d'erreur lorsque j'écris :
Code: Tout sélectionner
swApp = Application.SldWorks


Le message : Erreur 1 Une référence à un membre non partagé requiert une référence d'objet.

Mes imports :
Code: Tout sélectionner
Imports SolidWorks
Imports SldWorks


Est ce quelqu'un peut m'aider à régler ce problème ?

Ensuite pour créer les PDF je mets dans un tableau tous les noms de fichier d'un répertoire et sous répertoire finissant par .sldrw.

Code: Tout sélectionner
Dim Chemin As String
        Dim i As Int16
        Dim Exclure() As String = {"$", "WINDOWS", "SYSTEM", "PROGRAM", "USER", "DRIVER", "TOOLS", "BOOT"}
        Dim SousRep As String() = Directory.GetDirectories(Repertoire)

        For Each sRep As String In SousRep
            Chemin = Path.GetFileName(sRep).ToUpper
            For i = 0 To UBound(Exclure)
                If Microsoft.VisualBasic.Left(Chemin, Len(Exclure(i))) = Exclure(i) Then Exit For
            Next
            If i > UBound(Exclure) Then
                Try
                    Dim FichierS As String() = Directory.GetFiles(sRep)
                    For Each Fi As String In FichierS
                        If System.IO.Path.GetExtension(Fi) = ".SLDDRW" Then
                            tableau(j) = Fi
                            j = j + 1
                        End If
                    Next
                Catch ex As Exception
                    'Debug.Print(Repertoire)
                End Try
            End If
        Next


Et pour l'enregistrement de mes MEP en format PDF j'utilise :
Code: Tout sélectionner
swApp = Application.SldWorks

        Part = swApp.FileOpen(chemin & "\" & tableau(j) & ".SLDDRW", 0, 0, 0)
        Part.ViewZoomtofit2()
        longstatus = Part.SaveAs3(chemin & "\" & tableau(j) & ".PDF", 0, 0)


Pour l'instant j'attends de régler le premier problème et je vois si le reste marche.
Est ce que Solidworks et les MEP doivent être ouvertes ?
Gautier60
Ewok SolidWorks
 
Messages: 5
Inscription: Ven 06 Déc 2013, 10:29

Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 5 invités

banniere